summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD17
-rw-r--r--intel-hybrid-codec-driver.install12
3 files changed, 24 insertions, 9 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 8346436810f..c8a4089d531 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
pkgbase = intel-hybrid-codec-driver
pkgdesc = Libva support for partially hardware accelerated encode and decode on Haswell and newer
pkgver = 2.0.0.r169.edead0c
- pkgrel = 1
+ pkgrel = 2
url = https://01.org/linuxmedia/vaapi
- arch = i686
+ install = intel-hybrid-codec-driver.install
arch = x86_64
license = MIT
depends = libva
diff --git a/PKGBUILD b/PKGBUILD
index 95c72b2d9cd..3894da40b22 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,10 +2,11 @@
# Contributer: uth 2.0.0 update
#
# Supported Platforms Features
-# Haswell (HSW) vp8enc
-# Bay Trail M (BYT) vp8enc
-# Broadwell (BRW) vp9dec vp9enc
-# Braswell (BSW) vp8enc vp9dec
+# Haswell (HSW) vp8enc
+# Bay Trail M (BYT) vp8enc
+# Broadwell (BRW) vp9dec vp9enc
+# Braswell (BSW) vp8enc vp9dec
+#
#
# The libva-intel-driver package isn't compiled with support for loading this driver
# so in order to use this driver's features with non hybrid codecs either
@@ -17,9 +18,10 @@ _gitroot="git+https://github.com/01org/intel-hybrid-driver.git"
_gitname=intel-hybrid-driver
_pkgver=2.0.0
pkgver=$_pkgver.r169.edead0c
-pkgrel=1
+pkgrel=2
pkgdesc='Libva support for partially hardware accelerated encode and decode on Haswell and newer'
-arch=('i686' 'x86_64')
+arch=('x86_64')
+install=${pkgname}.install
url='https://01.org/linuxmedia/vaapi'
license=('MIT')
depends=('libva' 'libcmrt')
@@ -39,7 +41,8 @@ prepare() {
build() {
cd ${srcdir}/${_gitname}
- ./configure --prefix=/usr
+ ./configure --prefix=/usr \
+ --disable-x11
make
}
diff --git a/intel-hybrid-codec-driver.install b/intel-hybrid-codec-driver.install
new file mode 100644
index 00000000000..3fabbc8ce54
--- /dev/null
+++ b/intel-hybrid-codec-driver.install
@@ -0,0 +1,12 @@
+post_upgrade() {
+ if [ $(vercmp $2 '2.0.0.r169.edead0c-1') -le 0 ]
+ then
+ cat<<'EOF'
+## NOTE ##
+Due to a bug this package no longer provides support for using vaapi via X11.
+Apps configured to use vaapi in this way (e.g. VLC, MPV) should be changed to
+use vaapi via DRM.
+
+EOF
+ fi
+}